<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class WorkersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = \App::getLocale();
        return [
            'id' => $this->id,
            'username' => $this->username ? $this->username : '',
            'mobile' => $this->mobile ? $this->mobile : '',
            'email' => $this->email ? $this->email : '',
            'country_id' => $this->city_id ? (integer)$this->city->country->id : 0,
            'country_name' => $this->city_id ? $this->city->country->name[$lang] : '',
            'city_id' => $this->city_id ? (integer)$this->city_id : 0,
            'city_name' => $this->city_id ? $this->city->name[$lang] : '',
            'code' => $this->code ? (string)$this->code : '',
            'image' => $this->image ? asset('images/users/' . $this->image) : '',
            'experience' => $this->experience ? $this->experience : '',
            'wallet' => $this->wallet ? $this->wallet : '',
            'lat' => $this->lat ? $this->lat : '',
            'lng' => $this->lng ? $this->lng : '',
            'type' => $this->type ? $this->type : '',
            'job' => $this->job,
            'status' => $this->status ? $this->status : '',
            'rate' => getUserRate($this->id),
            'commercial_number' => $this->commercial_number ? $this->commercial_number : '',
            'delivery' => $this->delivery ? $this->delivery : '',
            'category_type' => $this->category_type ? $this->category_type : '',
            'images' => WorkerImagesResource::collection($this->worker_images)
        ];
    }
}
