<?php


Route::group(['namespace' => 'Api'], function () {

    Route::post('register', 'UsersController@register');

    Route::post('login', 'UsersController@login');


    // forget Password
    Route::post('forget_password', 'UsersController@forget_password');
    Route::post('check_forget_code', 'UsersController@check_forget_code');
    Route::post('change_password', 'UsersController@change_password');
    Route::post('activate_user', 'UsersController@activate_user');

    Route::get('all_subCategories', 'DataController@allSubCategories');

    Route::get('countries', 'DataController@countries');
    Route::get('areas/{country_id}', 'DataController@areas');
    Route::get('cities/{area_id}', 'DataController@cities');
    Route::get('main_categories', 'DataController@main_categories');
    Route::get('categories', 'DataController@categories');
    Route::get('sub_categories/{id}', 'DataController@sub_categories');
    Route::get('settings', 'DataController@settings');
    Route::post('contact_us', 'DataController@contact_us');
    Route::get('worker_home', 'OrdersController@worker_home');
    Route::post('search_workers', 'OrdersController@search_workers');
    Route::get('contracts', 'ContractsController@index');
    Route::get('banks', 'SubscriptionController@banks');
    Route::get('worker_profile/{id}', 'UsersController@worker_profile');
    Route::post('certificationsInputs', 'DataController@certificationsInputs');
    Route::get('sliders', 'DataController@sliders');
    Route::post('searchWorkers', 'DataController@searchCategories');
    Route::group(['middleware' => ['jwt.verify']], function () {
        Route::post('logout', 'UsersController@logout');
        Route::post('update_profile', 'UsersController@update_profile');
        Route::post('change_old_password', 'UsersController@change_old_password');
        Route::post('select_categories', 'UsersController@select_categories');
        Route::get('worker_categories', 'UsersController@worker_categories');
        Route::post('update_categories', 'UsersController@update_categories');
        Route::post('rate', 'UsersController@rate');
        Route::get('categories_with_check', 'UsersController@categories_with_check');
        Route::resource('worker_images', 'WorkerImagesController');
        Route::post('update_image/{id}', 'WorkerImagesController@update');


        // SUBSCRIPTIONS ROUTES
        Route::get('subscription_packages', 'SubscriptionController@subscription_packages');
        Route::post('subscribe_package', 'SubscriptionController@subscribe_package');


        Route::post('sendTransfer', 'DataController@sendTransfer');
        // ORDER Routes


        Route::post('order', 'OrdersController@order');
        Route::get('order/{id}', 'OrdersController@single_order');
        Route::post('offer_response', 'OrdersController@offer_response');
        Route::post('pay_order', 'OrdersController@pay_order');
        Route::get('client_orders/{flag}', 'OrdersController@client_orders');
        Route::get('cancel_order/{id}', 'OrdersController@cancel_order');
        Route::delete('order/{id}', 'OrdersController@delete_order');
        Route::post('update_order', 'OrdersController@update_order');
        Route::post('add_offer', 'OrdersController@add_offer');
        Route::get('delete_offer/{id}', 'OrdersController@delete_offer');
        Route::post('update_offer', 'OrdersController@update_offer');
        Route::get('worker_orders/{flag}', 'OrdersController@worker_orders');
        Route::post('change_order_status', 'OrdersController@change_order_status');
        Route::post('worker_finish_code', 'OrdersController@worker_finish_code');
        Route::get('single_offer/{id}', 'OrdersController@single_offer');


        //Addresses

        Route::resource('addresses', 'AddressesController');
        Route::post('update_address/{address_id}', 'AddressesController@update');
        //transfers
        Route::get('client_transfers', 'UsersController@client_transfers');
        Route::post('request_transfer', 'UsersController@request_transfer');

        // notifications
        Route::get('notifications', 'NotificationsController@index');

        //Chat API
        Route::get('chat_history', 'ChatController@chat_history');
        Route::get('check_room/{receiver_id}', 'ChatController@check_room');
        Route::post('send_message', 'ChatController@send_message');

    });

});
Route::get('/farouz', function () {
    return response()->json(['value' => true, 'data' => 1]);
});
